POST https://api.d-tools.com/SI/Publish/Projects/LockChangeOrderStatus
Mark existing SI project change order status as locked or unlocked.
Request Information
URI Parameters
None.
Body Parameters
LockChangeOrderStatus| Name | Description | Type | Additional information |
|---|---|---|---|
| ProjectId |
Id of project to update (Required) |
string |
None. |
| LockChangeOrderStatusInfos |
List of Change Order to lock status or unlock status |
Collection of LockChangeOrderStatusInfo |
None. |
Request Formats
application/json, text/json
Sample:
{
"ProjectId": "sample string 1",
"MessageId": "71a007bc-e414-44af-98a9-78d845a70fa0",
"Date": "2026-05-10T10:46:19.7730921+00:00",
"LockChangeOrderStatusInfos": [
{
"IntegrationChangeOrderId": "sample string 1",
"Number": "sample string 2",
"Type": "sample string 3",
"LockStatus": true
},
{
"IntegrationChangeOrderId": "sample string 1",
"Number": "sample string 2",
"Type": "sample string 3",
"LockStatus": true
}
]
}
application/x-www-form-urlencoded
Sample:
application/xml, text/xml
Sample:
<LockChangeOrderStatus xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<ProjectId>sample string 1</ProjectId>
<MessageId>71a007bc-e414-44af-98a9-78d845a70fa0</MessageId>
<Date>2026-05-10T10:46:19.7730921+00:00</Date>
<LockChangeOrderStatusInfos>
<LockChangeOrderStatusInfo>
<IntegrationChangeOrderId>sample string 1</IntegrationChangeOrderId>
<Number>sample string 2</Number>
<Type>sample string 3</Type>
<LockStatus>true</LockStatus>
</LockChangeOrderStatusInfo>
<LockChangeOrderStatusInfo>
<IntegrationChangeOrderId>sample string 1</IntegrationChangeOrderId>
<Number>sample string 2</Number>
<Type>sample string 3</Type>
<LockStatus>true</LockStatus>
</LockChangeOrderStatusInfo>
</LockChangeOrderStatusInfos>
</LockChangeOrderStatus>
Response Information
Resource Description
PublishResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageId |
Check the status of the transaction using this Message Id |
globally unique identifier |
None. |
| Message |
Success Message |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"MessageId": "6f847d66-2cf9-4d95-bccb-5d5412bf1f0b",
"Message": "sample string 2"
}
application/xml, text/xml
Sample:
<PublishResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <MessageId>6f847d66-2cf9-4d95-bccb-5d5412bf1f0b</MessageId> <Message>sample string 2</Message> </PublishResponse>